Class XpnHostList.Builder (1.88.0)

public static final class XpnHostList.Builder extends GeneratedMessageV3.Builder<XpnHostList.Builder> implements XpnHostListOrBuilder

Protobuf type google.cloud.compute.v1.XpnHostList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends Project> values)

public XpnHostList.Builder addAllItems(Iterable<? extends Project> values)

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.Project>
Returns
Type Description
XpnHostList.Builder

addItems(Project value)

public XpnHostList.Builder addItems(Project value)

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Parameter
Name Description
value Project
Returns
Type Description
XpnHostList.Builder

addItems(Project.Builder builderForValue)

public XpnHostList.Builder addItems(Project.Builder builderForValue)

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Parameter
Name Description
builderForValue Project.Builder
Returns
Type Description
XpnHostList.Builder

addItems(int index, Project value)

public XpnHostList.Builder addItems(int index, Project value)

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Parameters
Name Description
index int
value Project
Returns
Type Description
XpnHostList.Builder

addItems(int index, Project.Builder builderForValue)

public XpnHostList.Builder addItems(int index, Project.Builder builderForValue)

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Parameters
Name Description
index int
builderForValue Project.Builder
Returns
Type Description
XpnHostList.Builder

addItemsBuilder()

public Project.Builder addItemsBuilder()

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Returns
Type Description
Project.Builder

addItemsBuilder(int index)

public Project.Builder addItemsBuilder(int index)

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Project.Builder

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public XpnHostList.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
XpnHostList.Builder
Overrides

build()

public XpnHostList build()
Returns
Type Description
XpnHostList

buildPartial()

public XpnHostList buildPartial()
Returns
Type Description
XpnHostList

clear()

public XpnHostList.Builder clear()
Returns
Type Description
XpnHostList.Builder
Overrides

clearField(Descriptors.FieldDescriptor field)

public XpnHostList.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
XpnHostList.Builder
Overrides

clearId()

public XpnHostList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
XpnHostList.Builder

This builder for chaining.

clearItems()

public XpnHostList.Builder clearItems()

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Returns
Type Description
XpnHostList.Builder

clearKind()

public XpnHostList.Builder clearKind()

[Output Only] Type of resource. Always compute#xpnHostList for lists of shared VPC hosts.

optional string kind = 3292052;

Returns
Type Description
XpnHostList.Builder

This builder for chaining.

clearNextPageToken()

public XpnHostList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
XpnHostList.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public XpnHostList.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
XpnHostList.Builder
Overrides
public XpnHostList.Builder clearSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
XpnHostList.Builder

This builder for chaining.

clearWarning()

public XpnHostList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
XpnHostList.Builder

clone()

public XpnHostList.Builder clone()
Returns
Type Description
XpnHostList.Builder
Overrides

getDefaultInstanceForType()

public XpnHostList getDefaultInstanceForType()
Returns
Type Description
XpnHostList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public Project getItems(int index)

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Project

getItemsBuilder(int index)

public Project.Builder getItemsBuilder(int index)

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Project.Builder

getItemsBuilderList()

public List<Project.Builder> getItemsBuilderList()

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Returns
Type Description
int

getItemsList()

public List<Project> getItemsList()

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Returns
Type Description
List<Project>

getItemsOrBuilder(int index)

public ProjectOrBuilder getItemsOrBuilder(int index)

[Output Only] A list of shared VPC host project URLs.

repeated .google.cloud.compute.v1.Project items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
ProjectOrBuilder

getItemsOrBuilderList()

public List<? extends ProjectOrBuilder> getItemsOrBuilderList()